Get Upgrade Status

Get Upgrade Status
Get HCX Manager Upgrade Status

Returns the current status and progress of the HCX Manager appliance upgrade.

Request
URI
GET
https://{server}:9443/api/admin/v2/upgrade/status
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Returns the upgrade status

Returns UpgradeResponse of type(s) application/json
{
    "status": "string",
    "message": "Upgrade in progress",
    "progress": 60,
    "createTime": 0,
    "lastUpdatedTime": 0,
    "bundleMetadata": {
        "version": "9.0.0",
        "buildNumber": "24601234"
    },
    "currentVersion": "9.0.0.00000",
    "impact": "string",
    "remediationActions": "string",
    "subTasks": [
        {
            "state": "PRE_UPGRADE_VALIDATION",
            "status": "string",
            "message": "string",
            "createTime": 0,
            "lastUpdatedTime": 0,
            "impact": "string",
            "remediationActions": "string"
        }
    ]
}
string
status
Optional

Overall status of the upgrade or upload operation

Enumeration: NOT_STARTED, QUEUED, IN_PROGRESS, SUCCESS, FAILED
string
message
Optional

Message corresponding to the status

integer
progress
Optional

Progress of the operation, as a percentage

integer As int64 As int64
createTime
Optional

Operation creation time, in milliseconds since epoch

integer As int64 As int64
lastUpdatedTime
Optional

Operation last updated time, in milliseconds since epoch

object
bundleMetadata
Optional

Metadata of the uploaded upgrade bundle

string
currentVersion
Optional

Current version of the HCX Manager appliance; populated once the upgrade succeeds

string
impact
Optional

Impact of the operation failure, when applicable

string
remediationActions
Optional

Suggested remediation actions, when applicable

array of object
subTasks
Optional

Sub-tasks of the operation, with individual status


404

Not found

Returns UpgradeErrorResponse of type(s) application/json
{
    "errorCode": "UPGRADE_IN_PROGRESS",
    "message": "Another upgrade process for HCX Manager is already in progress.",
    "remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


409

Conflict

Returns UpgradeErrorResponse of type(s) application/json
{
    "errorCode": "UPGRADE_IN_PROGRESS",
    "message": "Another upgrade process for HCX Manager is already in progress.",
    "remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


500

Unexpected error

Returns UpgradeErrorResponse of type(s) application/json
"UpgradeErrorResponse Object"
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/v2/upgrade/status